#****************************************************************************
# xpm.py, icon storage
#
# FlyWay, a VFR/IFR Route Planner for Pilots
# Copyright (C) 2002, Douglas W. Bell
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, Version 2.  This program is
# distributed in the hope that it will be useful, but WITTHOUT ANY WARRANTY.
#*****************************************************************************

fly_xpm = [
     "16 16 3 1",
     ".      c None",
     "+      c #000000",
     "@      c #FFFFFF",
     "....++++........",
     "....+@@+........",
     "....+@@+........",
     "....+@@+........",
     "....+@@+.....+++",
     "....+@@+.....+@+",
     ".++++++++++..+@+",
     "+@@+@@@@@@@+++++",
     "+@@+@@@@@@@+++++",
     ".++++++++++..+@+",
     "....+@@+.....+@+",
     "....+@@+.....+++",
     "....+@@+........",
     "....+@@+........",
     "....+@@+........",
     "....++++........"]

filenew_xpm = [
    "11 13 3 1",
    ".      c #000000",
    "*      c None",
    "!      c #FFFFFF",
    "........***",
    ".!!!!!!..**",
    ".!!!!!!.!.*",
    ".!!!!!!....",
    ".!!!!!!!!!.",
    ".!!!!!!!!!.",
    ".!!!!!!!!!.",
    ".!!!!!!!!!.",
    ".!!!!!!!!!.",
    ".!!!!!!!!!.",
    ".!!!!!!!!!.",
    ".!!!!!!!!!.",
    "..........."]

fileopen_xpm = [
    "16 13 5 1",
    ". c #040404",
    "# c #808304",
    "a c None",
    "b c #f3f704",
    "c c #f3f7f3",
    "aaaaaaaaa...aaaa",
    "aaaaaaaa.aaa.a.a",
    "aaaaaaaaaaaaa..a",
    "a...aaaaaaaa...a",
    ".bcb.......aaaaa",
    ".cbcbcbcbc.aaaaa",
    ".bcbcbcbcb.aaaaa",
    ".cbcb...........",
    ".bcb.#########.a",
    ".cb.#########.aa",
    ".b.#########.aaa",
    "..#########.aaaa",
    "...........aaaaa"]

filesave_xpm = [
    "14  14  4  1",
    ". c #040404",
    "# c #808304",
    "a c #bfc2bf",
    "b c None",
    "..............",
    ".#.aaaaaaaa.a.",
    ".#.aaaaaaaa...",
    ".#.aaaaaaaa.#.",
    ".#.aaaaaaaa.#.",
    ".#.aaaaaaaa.#.",
    ".#.aaaaaaaa.#.",
    ".##........##.",
    ".############.",
    ".##.........#.",
    ".##......aa.#.",
    ".##......aa.#.",
    ".##......aa.#.",
    "b............."]

fileprint_xpm = [
    "16 14 6 1",
    ". c #000000",
    "# c #848284",
    "a c #c6c3c6",
    "b c #ffff00",
    "c c #ffffff",
    "d c None",
    "ddddd.........dd",
    "dddd.cccccccc.dd",
    "dddd.c.....c.ddd",
    "ddd.cccccccc.ddd",
    "ddd.c.....c....d",
    "dd.cccccccc.a.a.",
    "d..........a.a..",
    ".aaaaaaaaaa.a.a.",
    ".............aa.",
    ".aaaaaa###aa.a.d",
    ".aaaaaabbbaa...d",
    ".............a.d",
    "d.aaaaaaaaa.a.dd",
    "dd...........ddd"]

editparam_xpm = [
    "13 15 6 1",
    ".      c #000000",
    "*      c None",
    "-      c #FF0000",
    ";      c #00FF00",
    ">      c #FFFF00",
    "!      c #FFFFFF",
    "*************",
    "****.....****",
    "**...!!!...**",
    "*..!!!!!!!..*",
    "*.-!!!!!!!!.*",
    "..-!!!!!!!!..",
    ".-!!!!!!!!!!.",
    ".-!!!!..!!!!.",
    ".-!!!!...!!;.",
    "..>!!!!...;..",
    "*.>!!!!!..;.*",
    "*..>>!!!;;..*",
    "**...;;;...**",
    "****.....****",
    "*************"]

editdepart_xpm = [
    "13 15 3 1",
    ".      c #000000",
    "*      c None",
    "!      c #FFFFFF",
    "****.....****",
    "****.....****",
    "****.....****",
    "****.....****",
    "***.!!!!!.***",
    "**.!!!!!!..**",
    "*.!!!!!!.!!.*",
    "*.!!!.!.!!!..",
    "*.!!!!.!!!!..",
    "*.!!!!!!!!!.*",
    "**.!!!!!!!.**",
    "***.!!!!!.***",
    "****.....****",
    "****.....****",
    "****.....****"]

fltplanshow_xpm = [
    "16 15 3 1",
    ".      c #000000",
    "*      c None",
    "!      c #FFFFFF",
    "****************",
    "****************",
    "................",
    ".!!.!!!.!!!!.!!.",
    ".!!.!!!.!!!!.!!.",
    "................",
    ".!!!!!!!!!!!!!!.",
    ".!!!!!!!!!!!!!!.",
    ".!!!!!!!!!!!!!!.",
    "................",
    ".!!!!.!!!.!!!!!.",
    ".!!!!.!!!.!!!!!.",
    "................",
    "****************",
    "****************"]

mapshow_xpm = [
    "16 15 5 1",
    ".      c #000000",
    "*      c None",
    "!      c #FFFFFF",
    "b      c #1F4EDD",
    "r      c #D81727",
    "................",
    ".!!!!!!!!!!!!!!.",
    ".!!!!!!!!!!bbb!.",
    ".!!!rrr!!..bbb!.",
    ".!!!rrr..!!bbb!.",
    ".!!!rrr!!!!!!!!.",
    ".!!!!.!!!!!!!!!.",
    ".!!!.!!!!!!!!!!.",
    ".!!.!!!!!!!!!!!.",
    ".!!.!!!!!!!!!!!.",
    ".!bbb!!!!!!!!!!.",
    ".!bbb!!!!!!!!!!.",
    ".!bbb!!!!!!!!!!.",
    ".!!!!!!!!!!!!!!.",
    "................"]

weathershow_xpm = [
    "16 15 4 1",
    ".      c #000000",
    "*      c None",
    "+      c #FFFFFF",
    "@      c #828282",
    "******..********",
    "****..++.*******",
    "****.++++.******",
    "***.+++++.******",
    "***.+++..+.*****",
    "****..++@++.****",
    "***..++++++@..**",
    "**..++++++..+.**",
    "*.@+.++++.+++@.*",
    ".@+++++++@++++.*",
    ".++++++@+++++++.",
    ".@+++@++.+++++.*",
    "*.++.+++.+..+..*",
    "**........*...**",
    "****************"]

help_xpm = [
    "10 14 3 1",
    ".      c #000000",
    "*      c None",
    ">      c #FFFF00",
    "**......**",
    "*.>>>>>..*",
    ".>>...>>..",
    ".>..**.>..",
    ".>..*.>>..",
    "*..*.>>..*",
    "***.>>..**",
    "***.>..***",
    "***.>..***",
    "***.>..***",
    "****..****",
    "***.>>..**",
    "***.>>..**",
    "****...***"]

helpreadme = [
"16 16 16 1",
" 	c #1A64FC",
".	c #3879FE",
"+	c #276EFE",
"@	c #407FFF",
"#	c #558CFC",
"$	c #6799FE",
"%	c #709FFF",
"&	c #7BA6FB",
"*	c #8BB1FD",
"=	c #A0BFFE",
"-	c #B2CAFC",
";	c #DAE5FA",
">	c #FDFDFF",
",	c #E8EFFC",
"'	c #C9D9F9",
")	c None",
"))))))....))))))",
"))))...#$..+))))",
"))..#-,;;;-#++))",
")).%;';>>,;;&+))",
").#--,>,,>>''# )",
").*-->,--'>;-& )",
"..==-;-**;>-##. ",
".#*&&***;>;###. ",
"+#%$%$%'>;$###. ",
".@#$#$#,>$####+ ",
").##$##--#$$$# )",
")+#$%&$''$%$%@ )",
"))+$&&&>>*&&# ))",
"))+ #**=-**#  ))",
"))))++@##@  ))))",
"))))))    ))))))"]

helpback = [
"16 14 2 1",
"       c None",
"+      c #0000A0",
"                ",
"     ++         ",
"    ++          ",
"   ++           ",
"  ++            ",
" ++             ",
"++++++++++++++  ",
"++++++++++++++  ",
" ++             ",
"  ++            ",
"   ++           ",
"    ++          ",
"     ++         ",
"                "]

helpforward = [
"16 14 2 1",
"       c None",
"+      c #0000A0",
"                ",
"         ++     ",
"          ++    ",
"           ++   ",
"            ++  ",
"             ++ ",
"  ++++++++++++++",
"  ++++++++++++++",
"             ++ ",
"            ++  ",
"           ++   ",
"          ++    ",
"         ++     ",
"                "]

helphome = [
"16 14 2 1",
"       c None",
"+      c #0000A0",
"       ++       ",
"      ++++      ",
"     ++  ++     ",
"    ++    ++    ",
"   ++      ++   ",
"  ++        ++  ",
" ++          ++ ",
" ++          ++ ",
" ++          ++ ",
" ++          ++ ",
" ++          ++ ",
" ++          ++ ",
" ++++++++++++++ ",
" ++++++++++++++ "]

map_apt_xpm = [
    "7 7 2 1",
    "-      c None",
    "*      c #0030C0",
    "*******",
    "*-----*",
    "*-----*",
    "*-----*",
    "*-----*",
    "*-----*",
    "*******"]

map_nav_xpm = [
    "7 7 2 1",
    "-      c None",
    "*      c #E00000",
    "--***--",
    "-*---*-",
    "**---**",
    "*-----*",
    "**---**",
    "-*---*-",
    "--***--"]

map_fix_xpm = [
    "7 7 2 1",
    "-      c None",
    "*      c #109000",
    "---*---",
    "--*-*--",
    "--*-*--",
    "-*---*-",
    "-*---*-",
    "*-----*",
    "*******"]

